##  for PCLinuxOS  ##

%define	ver 0.2.4
%define	rel 1

%define git 0
%define git_date 0
%if %{git}
%define realrel %{rel}.git%{git_date}.nora17
%else
%define realrel %{rel}.nora17
%endif

%define fcitx_version 4.2.9.3
%define m17n_lib_version 1.7.0

Name:    fcitx-m17n
Summary: M17n Engine for Fcitx
Version: %{ver}
Release: %{realrel}
Group:   System/Internationalization
License: LGPLv2+
URL:     https://github.com/fcitx/fcitx-m17n

%if %{git}
Source0: %{name}-git%{git_date}.tar.xz
%else
Source0: http://download.fcitx-im.org/fcitx-m17n/%{name}-%{version}.tar.xz
%endif

BuildRequires: cmake
BuildRequires: fcitx-devel >= %{fcitx_version}
BuildRequires: m17n-lib-devel >= %{m17n_lib_version}
BuildRequires: gettext-devel
BuildRequires: intltool
Requires: fcitx >= %{fcitx_version}
Requires: m17n-lib >= %{m17n_lib_version}

%description
Fcitx-m17n is a M17n engine wrapper for Fcitx. 
It allows input of many languages using the input table maps from m17n-db.


%prep
%if %{git}
%setup -q -n %{name}-git%{git_date}
%else
%setup -q -n %{name}-%{version}
%endif


%build
%cmake
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README.rst
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/m17n/default


%changelog
* Sat Sep 16 2017 tomcat <> 0.2.4-1
- update to 0.2.4
- use %%make_build instead of %%make
- fix URL

* Fri Feb 05 2016 tomcat <> 0.2.3-1.git20151212
- initial build for PCLinuxOS
- git.20151212
- build with fcitx-4.2.9.1 and m17n-lib-1.7.0
